create table egm1md (
    time timestamp without time zone not null,
    experiment varchar(64) not null,
    rawvalue bigint not null,
    valid boolean not null,
    value integer not null
);
select create_hypertable('egm1md', 'time');
create index egm1md_experiment on egm1md (experiment);

alter table egm1md add column device varchar(64);
update egm1md set device = '-';
alter table egm1md alter column device set not null;
create index egm1md_device on egm1md (device);


create table flowriglog (
    time timestamp without time zone not null,
    experiment varchar(64) not null,
    name varchar(64) not null,
    value double precision not null
);
select create_hypertable('flowriglog', 'time');
create index flowriglog_experiment on flowriglog (experiment);

alter table flowriglog add column device varchar(64);
update flowriglog set device = '-';
alter table flowriglog alter column device set not null;
create index flowriglog_device on flowriglog (device);


create table flowrigcmd (
    time timestamp without time zone not null,
    experiment varchar(64) not null,
    description varchar(256) not null,
    command varchar(32) not null
);
select create_hypertable('flowrigcmd', 'time');
create index flowrigcmd_experiment on flowrigcmd (experiment);
